commit 141a9e05f552d30b45e0c66a21e79ca9e7de54e9
Author: Arnold D. Robbins <arnold@skeeve.com>
Date:   Tue Oct 4 12:18:24 2022 +0300

    Small doc fixes.

diff --git a/doc/ChangeLog b/doc/ChangeLog
index dfbd541e..df03bd17 100644
--- a/doc/ChangeLog
+++ b/doc/ChangeLog
@@ -1,3 +1,8 @@
+2022-10-04         Arnold D. Robbins     <arnold@skeeve.com>
+
+	* gawktexi.in: Make usage consistent for VAX, macos, z/OS and a few
+	other small cleanups.
+
 2022-09-25         Arnold D. Robbins     <arnold@skeeve.com>
 
 	* gawktexi.in (Persistent Memory): Document REALLY_USE_PERSIST_MALLOC
diff --git a/doc/gawktexi.in b/doc/gawktexi.in
index 854b6e0c..a13fc271 100644
--- a/doc/gawktexi.in
+++ b/doc/gawktexi.in
@@ -1430,7 +1430,7 @@ implementation of @command{awk} called @command{gawk} (which stands for
 ``GNU @command{awk}'').  @command{gawk} runs on a broad range of Unix systems,
 ranging from Intel-architecture PC-based computers
 up through large-scale systems.
-@command{gawk} has also been ported to Mac OS X,
+@command{gawk} has also been ported to macOS, z/OS,
 Microsoft Windows
 (all versions),
 and OpenVMS.@footnote{Some other, obsolete systems to which @command{gawk}
@@ -15680,13 +15680,13 @@ This element gives a string indicating the platform for which
 Microsoft Windows, using MinGW.
 
 @item "os390"
-OS/390.
+OS/390 (also known as z/OS).
 
 @item "posix"
-GNU/Linux, Cygwin, Mac OS X, and legacy Unix systems.
+GNU/Linux, Cygwin, macOS, and legacy Unix systems.
 
 @item "vms"
-OpenVMS or Vax/VMS.
+OpenVMS or VAX/VMS.
 @end table
 
 @item PROCINFO["pgrpid"]
@@ -29951,7 +29951,7 @@ If you see the @samp{PMA} with a version indicator, then it's supported.
 @cindex @env{REALLY_USE_PERSIST_MALLOC} environment variable
 @cindex environment variables @subentry @env{REALLY_USE_PERSIST_MALLOC}
 As of this writing, persistent memory has only been tested on GNU/Linux,
-Cygwin, Solaris 2.11, Mac OS, FreeBSD 13.1 and OpenBSD 7.1.
+Cygwin, Solaris 2.11, macOS, FreeBSD 13.1 and OpenBSD 7.1.
 On all others, persistent memory is disabled by default. You can force
 it to be enabled by exporting the shell variable
 @env{REALLY_USE_PERSIST_MALLOC} with a nonempty value before
@@ -41718,7 +41718,7 @@ Files needed for building @command{gawk} under MS-Windows
 (@pxref{PC Installation} for details).
 
 @item vms/*
-Files needed for building @command{gawk} under Vax/VMS and OpenVMS
+Files needed for building @command{gawk} under VAX/VMS and OpenVMS
 (@pxref{VMS Installation} for details).
 
 @item test/*
@@ -42316,7 +42316,7 @@ Under MSYS2, compilation using the standard @samp{./configure && make}
 recipe works ``out of the box.''
 
 @node VMS Installation
-@appendixsubsec Compiling and Installing @command{gawk} on Vax/VMS and OpenVMS
+@appendixsubsec Compiling and Installing @command{gawk} on VAX/VMS and OpenVMS
 
 @c based on material from Pat Rankin <rankin@eql.caltech.edu>
 @c now rankin@pactechdata.com
@@ -43403,7 +43403,7 @@ the file.
 @command{gawk} may be built on non-POSIX systems as well. The currently
 supported systems are MS-Windows using
 MSYS, MSYS2, MinGW, and Cygwin,
-and both Vax/VMS and OpenVMS.
+and both VAX/VMS and OpenVMS.
 Instructions for each system are included in this @value{APPENDIX}.
 
 @item
@@ -43876,11 +43876,11 @@ out a version and try it out?
 The @command{gawk} maintainer
 wants it to be possible for any interested @command{awk} user in the
 world to just clone the repository, check out the branch of interest and
-build it. Without their having to have the correct version(s) of the
+build it, without their having to have the correct version(s) of the
 autotools.@footnote{There is one GNU program that is (in our opinion)
 severely difficult to bootstrap from the Git repository. For
 example, on the author's old (but still working) PowerPC Macintosh with
-Mac OS X 10.5, it was necessary to bootstrap a ton of software, starting
+macOS 10.5, it was necessary to bootstrap a ton of software, starting
 with Git itself, in order to try to work with the latest code.
 It's not pleasant, and especially on older systems, it's a big waste
 of time.
